REBAR(1)

NAME
rebar - Sophisticated build-tool for Erlang projects that follows OTP principles

SYNOPSIS
rebar [-h] [-c] [-v <verbose>] [-V] [-f] [-D <defines>] [-j <jobs>] [-C <config>] [-p] [var=value,...] <command,...>

DESCRIPTION
rebar is an Erlang build tool that makes it easy to compile and test Erlang applications, port drivers and releases. rebar is a self-contained Erlang script, so it's easy to distribute or even embed directly in a project. Where possible, rebar uses standard Erlang/OTP conventions for project structures, thus minimizing the amount of build configuration work. rebar also provides dependency management, enabling application writers to easily re-use common libraries from a variety of locations (git, hg, etc).

OPTIONS:

\-h, \--help
    Show the program options

\-c, \--commands
    Show available commands

\-v, \--verbose
    Verbosity level (-v, -vv, -vvv, --verbose 3). Default: 0

\-V, \--version
    Show version information

\-f, \--force
    Force

\-D Define compiler macro

\-j, \--jobs
    Number of concurrent workers a command may use. Default: 3

\-C, \--config
    Rebar config file to use

\-p, \--profile
    Profile this run of rebar

var=value
    rebar global variables (e.g. force=1)

command
    Command to run (e.g. compile)

AUTHOR
This manual page was written by Nobuhiro Iwamatsu <iwamatsu@debian.org> for the Debian GNU/Linux system (but may be used by others).